Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# LevelEditorUIBase Class Reference

Inheritance diagram for LevelEditorUIBase:

List of all members.

## Public Member Functions
def | __init__
def | bindKeyEvents
def | buildContextMenu
def | createInterface
def | createMenu
def | onAnimation
def | onCreateCurve
def | onCurveAnim
def | onDestroy
def | onDuplicate
def | onEditCurve
def | onExportToMaya
def | onGraphEditor
def | onGridSize
def | onHotKeys
def | onKeyDownEvent
def | onKeyEvent
def | onKeyUpEvent
def | onMakeLive
def | onNew
def | onOpen
def | onRightDown
def | onSave
def | onSaveAs
def | onShowPandaObjects
def | replaceObject
def | reset
def | toggleGrid
def | toggleGridSnap
def | updateGrids
def | updateMenu
## Public Attributes
| animUI
| contextMenu
| createCurveMenuItem
| currentView
| curveAnimMenuItem
| curveAnimUI
| curveObj
| editAnimMenuItem
| editCurveMenuItem
| editor
| graphEditorMenuItem
| graphEditorUI
| gridSizeMenuItem
| gridSnapMenuItem
| hotKeysMenuItem
| layerEditorUI
| leftBarDownNB
| leftBarDownPane0
| leftBarUpNB
| leftBarUpPane0
| leftBarUpPane1
| menuAnim
| menuCurve
| menuEdit
| menuOptions
| objectPaletteUI
| objectPropertyUI
| parentToSelectedMenuItem
| protoPaletteUI
| rightBarDownNB
| rightBarDownPane0
| sceneGraphUI
| showGridMenuItem
| showPandaObjectsMenuItem

## Detailed Description

    Class for Panda3D LevelEditor

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | editor
| ) |  |

Reimplemented in LevelEditorUI.

## Member Function Documentation

def bindKeyEvents | ( |  | self,
|  |  | toBind = `True`
| ) |  |

def buildContextMenu | ( |  | self,
|  |  | nodePath
| ) |  |

def createInterface | ( |  | self | ) |

def createMenu | ( |  | self | ) |

def onAnimation | ( |  | self,
|  |  | e
| ) |  |

def onCreateCurve | ( |  | self,
|  |  | e
| ) |  |

    Function to invoke curve creating, need to check previous mode

def onCurveAnim | ( |  | self,
|  |  | e
| ) |  |

def onDestroy | ( |  | self,
|  |  | evt
| ) |  |

def onDuplicate | ( |  | self,
|  |  | evt
| ) |  |

def onEditCurve | ( |  | self,
|  |  | e
| ) |  |

    Function to invoke curve editing and translate global information to local information. Need to check previous mode

def onExportToMaya | ( |  | self,
|  |  | evt
| ) |  |

def onGraphEditor | ( |  | self,
|  |  | e
| ) |  |

def onGridSize | ( |  | self,
|  |  | evt
| ) |  |

def onHotKeys | ( |  | self,
|  |  | evt
| ) |  |

def onKeyDownEvent | ( |  | self,
|  |  | evt
| ) |  |

def onKeyEvent | ( |  | self,
|  |  | evt
| ) |  |

def onKeyUpEvent | ( |  | self,
|  |  | evt
| ) |  |

def onMakeLive | ( |  | self,
|  |  | evt
| ) |  |

def onNew | ( |  | self,
|  |  | evt = `None`
| ) |  |

def onOpen | ( |  | self,
|  |  | evt = `None`
| ) |  |

def onRightDown | ( |  | self,
|  |  | evt = `None`
| ) |  |

    Invoked when the viewport is right-clicked.

def onSave | ( |  | self,
|  |  | evt = `None`
| ) |  |

def onSaveAs | ( |  | self,
|  |  | evt
| ) |  |

def onShowPandaObjects | ( |  | self,
|  |  | evt
| ) |  |

def replaceObject | ( |  | self,
|  |  | evt,
|  |  | all = `False`
| ) |  |

def reset | ( |  | self | ) |

def toggleGrid | ( |  | self,
|  |  | evt
| ) |  |

def toggleGridSnap | ( |  | self,
|  |  | evt
| ) |  |

def updateGrids | ( |  | self,
|  |  | newSize,
|  |  | newSpacing
| ) |  |

def updateMenu | ( |  | self | ) |

## Member Data Documentation

animUI

contextMenu

createCurveMenuItem

currentView

curveAnimMenuItem

curveAnimUI

curveObj

editAnimMenuItem

editCurveMenuItem

editor

graphEditorMenuItem

graphEditorUI

gridSizeMenuItem

gridSnapMenuItem

hotKeysMenuItem

layerEditorUI

leftBarDownNB

leftBarDownPane0

leftBarUpNB

leftBarUpPane0

leftBarUpPane1

menuAnim

menuCurve

menuEdit

menuOptions

objectPaletteUI

objectPropertyUI

parentToSelectedMenuItem

protoPaletteUI

rightBarDownNB

rightBarDownPane0

sceneGraphUI

showGridMenuItem

showPandaObjectsMenuItem

All Classes Namespaces Functions Variables Enumerations Enumerator Properties